Package org.eclipse.net4j.util.concurrent

## Class SynchronousWorkSerializer

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.SynchronousWorkSerializer

- All Implemented Interfaces:
    `IWorkSerializer`

      @Deprecated
      public class SynchronousWorkSerializer
      extends java.lang.Object
      implements IWorkSerializer

  Deprecated.
  As of 3.9 use an executor such as `SynchronousExecutor`.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SynchronousWorkSerializer()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `addWork​(java.lang.Runnable work)` | Deprecated.
    `void` | `dispose()` | Deprecated.
    `java.lang.String` | `toString()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SynchronousWorkSerializer

          public SynchronousWorkSerializer()

      Deprecated.

  - ### Method Detail

    - #### addWork

          public boolean addWork​(java.lang.Runnable work)

      Deprecated.
      Specified by:
        `addWork` in interface `IWorkSerializer`

    - #### dispose

          public void dispose()

      Deprecated.
      Specified by:
        `dispose` in interface `IWorkSerializer`

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`